import { ElementRef, OnInit, EventEmitter } from '@angular/core';
import { MenuItem } from '../common/menuitem';
import { ArchitectureItem } from './architecture.model';
export declare class ArchitectureComponent implements OnInit {
    el: ElementRef;
    model: ArchitectureItem;
    topCenterMenuClickEvent: EventEmitter<any>;
    topTopMenuClickEvent: EventEmitter<any>;
    topRightMenuClickEvent: EventEmitter<any>;
    leftMenuClickEvent: EventEmitter<any>;
    topTopMenuShow: Boolean;
    leftShow: Boolean;
    rightShow: Boolean;
    topBottomShow: Boolean;
    topTopShow: Boolean;
    leftSmall: Boolean;
    leftExpandDone: Boolean;
    classname: string;
    left_header_name: string;
    left_header_icon: string;
    bottom_text: string;
    top_left_logo: string;
    top_Center_Menu_HasChild: Boolean;
    top_right_menu_items: any;
    animating: boolean;
    left_menu_items: MenuItem[];
    top_center_menu_items: MenuItem[];
    top_top_menu_items: MenuItem[];
    constructor(el: ElementRef);
    ngOnInit(): void;
    topCenterMenuClick(item: any): void;
    topTopMenuClick(item: any): void;
    topRightMenuClick(item: any): void;
    leftMenuClick(item: any): void;
    topCenterMenuJudge(item: any): void;
    toggle(event: any): boolean;
    expand(event: any): void;
    collapse(event: any): void;
    leftScollDone(event: any): void;
    leftExpand(event: any): void;
    leftCollapse(event: any): void;
    onToggleDone(event: Event): void;
    ChangeClass(classname: any): void;
    AddClass(classname: any): void;
}
