import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
export declare class BlockMenuBarComponent {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    style: any;
    styleClass: string;
    itemClickEvent: EventEmitter<any>;
    theme: String;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    componentClick(item: any): void;
}
