import { EventEmitter, ElementRef, TemplateRef, Renderer2, OnInit } from '@angular/core';
import { BlockableUI } from '../common/blockableui';
export declare class CardComponent implements BlockableUI, OnInit {
    private el;
    private _render;
    toggleable: boolean;
    collapsed: Boolean;
    style: any;
    styleClass: string;
    expandIcon: String;
    collapseIcon: String;
    uiHover: Boolean;
    uiLoading: Boolean;
    uiMax: Boolean;
    collapsedChange: EventEmitter<any>;
    onBeforeToggle: EventEmitter<any>;
    onAfterToggle: EventEmitter<any>;
    title: TemplateRef<any>;
    operate: TemplateRef<any>;
    _card: ElementRef;
    cardHover: Boolean;
    _max: boolean;
    animating: boolean;
    constructor(el: ElementRef, _render: Renderer2);
    ngOnInit(): void;
    mouseHover(): void;
    mouseOut(): void;
    toggle(event: any): boolean;
    expand(event: any): void;
    collapse(even: any): void;
    maxCard(): void;
    fullScreen(): void;
    getBlockableElement(): HTMLElement;
    onToggleDone(event: Event): void;
}
