import { Subject } from 'rxjs/Subject';
import { Observable } from 'rxjs/Observable';
import { TreeNodeDragEvent } from './treenodedragevent';
export declare class TreeDragDropService {
    dragStartSource: Subject<TreeNodeDragEvent>;
    dragStopSource: Subject<TreeNodeDragEvent>;
    dragStart$: Observable<TreeNodeDragEvent>;
    dragStop$: Observable<TreeNodeDragEvent>;
    startDrag(event: TreeNodeDragEvent): void;
    stopDrag(event: TreeNodeDragEvent): void;
}
