import { ElementRef, AfterViewInit, OnDestroy, Renderer2, EventEmitter } from '@angular/core';
export declare class DropdownComponent implements AfterViewInit, OnDestroy {
    renderer2: Renderer2;
    menus: any;
    header: string;
    direction: string;
    theme: string;
    caret: boolean;
    hover: boolean;
    itemClickEvent: EventEmitter<any>;
    container: ElementRef;
    dropdownMenu: ElementRef;
    isOpen: boolean;
    selfClick: boolean;
    itemClick: boolean;
    documentClickListener: any;
    modal: any;
    clickitem: any;
    constructor(renderer2: Renderer2);
    clickDisabled(event: any, item: any): boolean;
    ngAfterViewInit(): void;
    addClass(elem: any, className: any): void;
    open(menu: any, event?: any): void;
    onMouseover(): void;
    onMouseout(): void;
    onItemClick(item: any): void;
    onParentClick(item: any): void;
    onDocumentClickListener(): void;
    close(): void;
    offDocumentClickListener(): void;
    ngOnDestroy(): void;
}
