import { OnInit, ElementRef, Renderer2 } from '@angular/core';
export declare type Justify = 'start' | 'end' | 'center' | 'space-around' | 'space-between';
export declare type Align = 'top' | 'middle' | 'bottom';
export declare type Type = 'flex' | null;
export declare class RowComponent implements OnInit {
    private _elementRef;
    private _renderer;
    _classList: Array<string>;
    _el: HTMLElement;
    _prefixCls: string;
    _gutter: number;
    _type: Type;
    _align: Align;
    _justify: Justify;
    uiType: Type;
    uiAlign: Align;
    uiJustify: Justify;
    uiGutter: number;
    setStyle(): void;
    /** temp solution since no method add classMap to host https://github.com/angular/angular/issues/7289*/
    setClassMap(): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
}
