import { ElementRef, AfterViewInit, OnDestroy, Renderer2, EventEmitter } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
export declare class IconMenuComponent implements AfterViewInit, OnDestroy {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    model: MenuItem[];
    popup: boolean;
    style: any;
    styleClass: string;
    appendTo: any;
    itemClickEvent: EventEmitter<any>;
    itemHoverEvent: EventEmitter<any>;
    itemHoverLeaveEvent: EventEmitter<any>;
    container: any;
    documentClickListener: any;
    preventDocumentDefault: any;
    theme: String;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2);
    ngAfterViewInit(): void;
    toggle(event: Event): void;
    show(event: Event): void;
    hide(): void;
    unbindDocumentClickListener(): void;
    bindDocumentClickListener(): void;
    componentClick(item: any): void;
    componentHover(item: any): void;
    componentHoverLeave(item: any): void;
    ngOnDestroy(): void;
}
