import { Renderer2, ElementRef, OnInit } from '@angular/core';
export interface AutoSizeType {
    minRows?: number;
    maxRows?: number;
}
export declare class InputDirectiveComponent implements OnInit {
    private _elementRef;
    private _render;
    size: string;
    nativeElement: HTMLElement;
    _el: HTMLElement;
    _classList: Array<string>;
    _readonly: boolean;
    _prefixCls: string;
    _autosize: boolean | AutoSizeType;
    _disabled: boolean;
    _uiInput: boolean;
    uiSize: string;
    uiDisabled: boolean;
    uiReadonly: boolean;
    uiAutosize: string | boolean | AutoSizeType;
    resizeTextarea(): void;
    _setClassMap(): void;
    onFocus(e: any): void;
    onBlur(e: any): void;
    onKeyup(e: any): void;
    ngOnInit(): void;
    constructor(_elementRef: ElementRef, _render: Renderer2);
}
