import { OnInit, EventEmitter, TemplateRef } from '@angular/core';
import { MenuItem } from '../../common/menuitem';
import { LayoutService } from '../layout.service';
export declare class HeadmenubarComponent implements OnInit {
    _layout: LayoutService;
    centerModel: MenuItem[];
    rightModel: MenuItem[];
    topBottomShow: Boolean;
    logoSrc: string;
    top_Center_Menu_HasChild: Boolean;
    headerShow: Boolean;
    centerMenuClickEvent: EventEmitter<any>;
    rightMenuClickEvent: EventEmitter<any>;
    _rightBefore: TemplateRef<any>;
    _rightAfter: TemplateRef<any>;
    theme: String;
    menuParent: MenuItem;
    menuFixed: Boolean;
    activeItem: MenuItem;
    rightMiniShow: Boolean;
    rightMiniModel: any;
    constructor(_layout: LayoutService);
    ngOnInit(): void;
    response(): void;
    expand(event: any): void;
    collapse(event: any): void;
    topCenterMenuJudge(item: any): void;
    topCenterMenuClick(item: any): void;
    topRightMenuClick(item: any): void;
}
