import { OnInit, EventEmitter, ElementRef, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { MenuItem } from '../../common/menuitem';
import { LayoutService } from '../layout.service';
import { SearchService } from '../../search/search.service';
import { AccordionMenuComponent } from '../../accordionMenu/accordionMenu.component';
export declare class MainComponent implements OnInit {
    _layout: LayoutService;
    _search: SearchService;
    el: ElementRef;
    _router: Router;
    constructor(_layout: LayoutService, _search: SearchService, el: ElementRef, _router: Router);
    rightShow: Boolean;
    leftSmall: any;
    leftExpandDone: Boolean;
    menuNameSet: Boolean;
    theme: String;
    menuActiveItemLabel: string;
    breadRouterArray: Array<any>;
    accordionMenu: AccordionMenuComponent;
    footerShow: Boolean;
    _footerShow: Boolean;
    menuShow: Boolean;
    _menuShow: Boolean;
    menuHeaderName: string;
    _menuHeaderName: string;
    menuHeaderIcon: string;
    menuSearchShow: Boolean;
    footerText: string;
    itemClickEvent: EventEmitter<any>;
    miniMenuHoverEvent: EventEmitter<any>;
    miniMenuHoverLeaveEvent: EventEmitter<any>;
    menuModel: MenuItem[];
    _menuModel: MenuItem[];
    menuHeaderIconHtml: string;
    breadCrumb: Boolean;
    center: ElementRef;
    _breadcrumb: TemplateRef<any>;
    ngOnInit(): void;
    response(): void;
    breadUrlSet(): void;
    searchMenu(result: MenuItem): void;
    labelSet(): void;
    leftMenuClick(item: any): void;
    miniMenuHover(item: MenuItem): void;
    miniMenuHoverLeave(item: MenuItem): void;
    leftScollDone(event: any): void;
    leftExpand(event: any): void;
    leftCollapse(event: any): void;
    menuShowJudge(menushow: Boolean): void;
    footerShowJudge(footshow: Boolean): void;
}
