import { ElementRef, OnInit, EventEmitter, QueryList } from '@angular/core';
import { MenuItem } from '../common/menuitem';
import { SearchService } from './search.service';
export declare class SearchComponent implements OnInit {
    _search: SearchService;
    e: ElementRef;
    model: MenuItem[];
    notFound: Boolean;
    inputFocus: Boolean;
    searchModel: MenuItem[];
    style: any;
    styleClass: string;
    itemClickEvent: EventEmitter<any>;
    searchEvent: EventEmitter<any>;
    searchInput: QueryList<ElementRef>;
    constructor(_search: SearchService, e: ElementRef);
    search_result: any;
    search_keyword: any;
    animating: boolean;
    theme: String;
    ngOnInit(): void;
    keyInput(keyword: string): void;
    keyInputBlur(): void;
    keyInputFocus(keyword: string): void;
    handleClick(event: any, item: any): void;
    getArray(data: any, name: any, parent?: any): any;
    search(key: String): void;
    MouseHover(item: any): void;
    onToggleDone(): void;
    componentClick(item: any): void;
}
