import { EventEmitter, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { TabSetComponent } from './tabset.component';
export declare class TabComponent implements OnDestroy, OnInit {
    private _tabSetComponent;
    private disabled;
    position: number | null;
    origin: number | null;
    true: any;
    uiDisabled: boolean;
    uiSelect: EventEmitter<{}>;
    uiClick: EventEmitter<{}>;
    uiDeselect: EventEmitter<{}>;
    _tabHeading: TemplateRef<void>;
    _content: TemplateRef<void>;
    readonly content: TemplateRef<void> | null;
    constructor(_tabSetComponent: TabSetComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toBoolean(value: boolean | string): boolean;
}
