import { AfterContentInit, QueryList, TemplateRef } from '@angular/core';
import { TableComponent } from './table.component';
import { EditableColumnDirective } from './editable-column.directive';
import { TableTemplateDirective } from './table-template.service';
export declare class CellEditorComponent implements AfterContentInit {
    dt: TableComponent;
    editableColumn: EditableColumnDirective;
    templates: QueryList<TableTemplateDirective>;
    inputTemplate: TemplateRef<any>;
    outputTemplate: TemplateRef<any>;
    constructor(dt: TableComponent, editableColumn: EditableColumnDirective);
    ngAfterContentInit(): void;
}
