import { AfterViewInit, ElementRef, NgZone } from '@angular/core';
import { TableComponent } from './table.component';
import { DomHandler } from '../dom/domhandler';
export declare class EditableColumnDirective implements AfterViewInit {
    dt: TableComponent;
    el: ElementRef;
    domHandler: DomHandler;
    zone: NgZone;
    data: any;
    field: any;
    grfEditableColumnDisabled: boolean;
    constructor(dt: TableComponent, el: ElementRef, domHandler: DomHandler, zone: NgZone);
    ngAfterViewInit(): void;
    isValid(): boolean;
    onClick(event: MouseEvent): void;
    openCell(): void;
    onKeyDown(event: KeyboardEvent): void;
    findCell(element: any): any;
    moveToPreviousCell(event: KeyboardEvent): void;
    moveToNextCell(event: KeyboardEvent): void;
    findPreviousEditableColumn(cell: Element): any;
    findNextEditableColumn(cell: Element): any;
    isEnabled(): boolean;
}
