import { AfterViewInit, ElementRef, NgZone } from '@angular/core';
import { TableComponent } from './table.component';
import { DomHandler } from '../dom/domhandler';
export declare class ReorderableRowDirective implements AfterViewInit {
    dt: TableComponent;
    el: ElementRef;
    domHandler: DomHandler;
    zone: NgZone;
    index: number;
    grfReorderableRowDisabled: boolean;
    mouseDownListener: any;
    dragStartListener: any;
    dragEndListener: any;
    dragOverListener: any;
    dragLeaveListener: any;
    dropListener: any;
    constructor(dt: TableComponent, el: ElementRef, domHandler: DomHandler, zone: NgZone);
    ngAfterViewInit(): void;
    bindEvents(): void;
    unbindEvents(): void;
    onMouseDown(event: any): void;
    onDragStart(event: any): void;
    onDragEnd(event: any): void;
    onDragOver(event: any): void;
    onDragLeave(event: any): void;
    isEnabled(): boolean;
    onDrop(event: any): void;
}
