import { OnInit, OnDestroy } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { Subscription } from 'rxjs/Subscription';
import { TableService } from './table.service';
import { TableComponent } from './table.component';
export declare class SelectableRowDirective implements OnInit, OnDestroy {
    dt: TableComponent;
    domHandler: DomHandler;
    tableService: TableService;
    data: any;
    index: number;
    grfSelectableRowDisabled: boolean;
    selected: any;
    subscription: Subscription;
    constructor(dt: TableComponent, domHandler: DomHandler, tableService: TableService);
    ngOnInit(): void;
    onClick(event: Event): void;
    onTouchEnd(event: Event): void;
    isEnabled(): boolean;
    ngOnDestroy(): void;
}
