import { ElementRef, OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import { TableComponent } from './table.component';
import { DomHandler } from '../dom/domhandler';
import { TableService } from './table.service';
export declare class TableHeaderCheckboxComponent implements OnDestroy, OnInit {
    dt: TableComponent;
    domHandler: DomHandler;
    tableService: TableService;
    boxViewChild: ElementRef;
    checked: boolean;
    disabled: boolean;
    subscription: Subscription;
    constructor(dt: TableComponent, domHandler: DomHandler, tableService: TableService);
    ngOnInit(): void;
    onClick(event: Event, checked: any): void;
    onFocus(): void;
    onBlur(): void;
    ngOnDestroy(): void;
    updateCheckedState(): boolean;
}
