import { TemplateRef, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
import { AnimationEvent } from '@angular/animations';
import { OverlayOrigin, ConnectionPositionPair, ConnectedOverlayDirective } from '@angular/cdk/overlay';
export declare class TooltipComponent {
    private _cdr;
    uiTitle: string;
    uiOverlayClassName: string;
    uiOverlayStyle: {};
    uiVisibleChange: EventEmitter<any>;
    uiTemplate: TemplateRef<any>;
    overlay: ConnectedOverlayDirective;
    overlayOrigin: OverlayOrigin;
    uiVisible: boolean;
    visibleSource: BehaviorSubject<boolean>;
    visible$: Observable<boolean>;
    uiTrigger: string;
    _prefix: string;
    _positions: ConnectionPositionPair[];
    _classMap: {};
    _placement: string;
    _trigger: string;
    _hasBackdrop: boolean;
    uiPlacement: any;
    updatePosition(): void;
    onPositionChange($event: any): void;
    show(): void;
    hide(): void;
    tooltipLeave(): boolean;
    tooltipHover(): boolean;
    _afterVisibilityAnimation(e: AnimationEvent): void;
    setClassMap(): void;
    setOverlayOrigin(origin: OverlayOrigin): void;
    constructor(_cdr: ChangeDetectorRef);
}
