import { AfterContentInit, ElementRef, Renderer2 } from '@angular/core';
export declare type uiButtonGroupSize = 'sm' | 'lg' | 'default';
export declare class ButtonGroupComponent implements AfterContentInit {
    private _elementRef;
    private _renderer;
    _size: uiButtonGroupSize;
    _el: HTMLElement;
    _vertical: Boolean;
    _prefixCls: string;
    _classList: Array<string>;
    _groupWrapper: ElementRef;
    uiSize: uiButtonGroupSize;
    uiVertical: Boolean;
    _setClassMap(): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2);
    ngAfterContentInit(): void;
}
