import { ElementRef, Renderer } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class CheckboxGroupComponent implements ControlValueAccessor {
    private _elementRef;
    private _render;
    private _disabled;
    private _type;
    _el: HTMLElement;
    _options: any[];
    _prefixCls: string;
    onChange: any;
    onTouched: any;
    uiType: string;
    uiDisabled: boolean;
    _optionChange(): void;
    constructor(_elementRef: ElementRef, _render: Renderer);
    toBoolean(value: boolean | string): boolean;
    writeValue(value: any): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    setDisabledState(isDisabled: boolean): void;
}
