import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import { FlexibleMenuService } from './flexibleMenu.service';
export declare class FlexibleMenuComponent {
    el: ElementRef;
    domHandler: DomHandler;
    renderer: Renderer2;
    _flexMenu: FlexibleMenuService;
    model: MenuItem[];
    style: any;
    styleClass: string;
    itemClickEvent: EventEmitter<any>;
    activeItem: MenuItem;
    flexFixed: Boolean;
    menuParent: any;
    tabActiveItem: MenuItem;
    _model: MenuItem[];
    _initActiveItem: MenuItem;
    hoverItem: MenuItem;
    tabList: any;
    dropList: MenuItem[];
    origiList: any;
    dropItems: any;
    flexiMenuShow: Boolean;
    childActiveItem: MenuItem;
    _flexFixed: Boolean;
    _menuParent: MenuItem;
    constructor(el: ElementRef, domHandler: DomHandler, renderer: Renderer2, _flexMenu: FlexibleMenuService);
    list: ElementRef;
    box: ElementRef;
    mouseHover(item: MenuItem): void;
    menuItemInit(): void;
    activeItemInit(): void;
    tabListInit(): void;
    listCal(index: number): void;
    indexSwitch(): void;
    indexCal(list: any): number;
    _getHostElement(): HTMLElement;
    itemClick(event: Event, item: MenuItem): void;
    menuBarHover(): void;
    componentClick(item: any): void;
}
