import { ElementRef, EventEmitter } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
import { FlexibleMenuService } from './flexibleMenu.service';
export declare class FlexibleMenuSubComponent {
    domHandler: DomHandler;
    _flexMenu: FlexibleMenuService;
    item: any;
    root: boolean;
    itemClickEvent: EventEmitter<any>;
    constructor(domHandler: DomHandler, _flexMenu: FlexibleMenuService);
    activeItem: any;
    clickItem: any;
    childClickItem: MenuItem;
    theme: String;
    list: ElementRef;
    menuParent: MenuItem;
    onItemMouseEnter(event: Event, item: HTMLLIElement, menuitem: MenuItem): void;
    onItemMouseLeave(event: Event): void;
    componentClick(item: any): void;
    itemClick(event: any, item: MenuItem): void;
    onItemClick(event: any, item: MenuItem): void;
    listClick(event: any): void;
}
