import { EventEmitter } from '@angular/core';
import { DomHandler } from '../dom/domhandler';
import { MenuItem } from '../common/menuitem';
export declare class IconMenuSubComponent {
    domHandler: DomHandler;
    item: MenuItem;
    root: boolean;
    itemClickEvent: EventEmitter<any>;
    itemHoverEvent: EventEmitter<any>;
    itemHoverLeaveEvent: EventEmitter<any>;
    expanded: boolean;
    constructor(domHandler: DomHandler);
    activeItem: HTMLLIElement;
    theme: String;
    onItemMouseEnter(event: Event, item: HTMLLIElement, menuitem: MenuItem): void;
    onItemMouseLeave(menuitem: MenuItem): void;
    itemClick(event: Event, item: MenuItem): boolean;
    componentClick(item: any): void;
    componentHover(item: any): void;
    componentHoverLeave(item: any): void;
    listClick(event: Event): void;
}
