import { OnInit, ElementRef, Renderer2, TemplateRef, AfterViewInit, EventEmitter } from '@angular/core';
export declare class InputGroupComponent implements OnInit, AfterViewInit {
    private _elementRef;
    private _render;
    _el: HTMLElement;
    _prefixCls: string;
    _prefix: string;
    _type: String;
    _classList: Array<string>;
    parent: HTMLElement;
    _addOnContentBefore: TemplateRef<any>;
    _addOnContentAfter: TemplateRef<any>;
    _prefixContent: any;
    _suffixContent: any;
    contextIconEl: ElementRef;
    readonly _isLarge: boolean;
    readonly _isSmall: boolean;
    clearActive: boolean;
    clearMouseOver: boolean;
    clearEvent: EventEmitter<any>;
    uiLine: Boolean;
    uiClear: Boolean;
    uiLabel: string;
    uiLabelType: string;
    uiType: String;
    uiSize: string;
    uiCompact: boolean;
    constructor(_elementRef: ElementRef, _render: Renderer2);
    ngAfterViewInit(): void;
    elementListen(inputElement: NodeListOf<HTMLInputElement>): void;
    focusListen(inputElement: NodeListOf<HTMLInputElement>, labelElement?: HTMLElement, flex?: Boolean): void;
    blurListen(inputElement: NodeListOf<HTMLInputElement>, labelElement?: HTMLElement, flex?: Boolean): void;
    clearContent(): void;
    clearOver(): void;
    clearOut(): void;
    _setClassMap(): void;
    contextIconSet(): void;
    ngOnInit(): void;
}
