import { AfterContentInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { RadioButtonComponent } from './radio-button.component';
import { RadioComponent } from './radio.component';
export declare class RadioGroupComponent implements OnInit, AfterContentInit, ControlValueAccessor {
    private _elementRef;
    private _render;
    _el: HTMLElement;
    _value: string;
    _size: string;
    _prefixCls: string;
    radios: Array<RadioComponent | RadioButtonComponent>;
    onChange: (_: string) => void;
    onTouched: () => void;
    uiSize: string;
    readonly isLarge: boolean;
    readonly isSmall: boolean;
    addRadio(radio: RadioComponent | RadioButtonComponent): void;
    checkRadios(): void;
    selectRadio(radio: RadioComponent | RadioButtonComponent): void;
    updateValue(value: string): void;
    constructor(_elementRef: ElementRef, _render: Renderer2);
    ngAfterContentInit(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (_: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnInit(): void;
}
