import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { RadioGroupComponent } from './radio-group.component';
export declare class RadioComponent implements OnInit, ControlValueAccessor {
    private _elementRef;
    _renderer: Renderer2;
    _radioGroup: RadioGroupComponent;
    private _focused;
    _checked: boolean;
    _disabled: boolean;
    _el: HTMLElement;
    _classMap: any;
    _value: string;
    _prefixCls: string;
    _innerPrefixCls: string;
    _inputPrefixCls: string;
    onChange: (_: boolean) => void;
    onTouched: () => void;
    toBoolean(value: boolean | string): boolean;
    uiChecked: boolean;
    uiValue: string;
    uiDisabled: boolean;
    onClick(e: MouseEvent): void;
    uiFocus(): void;
    uiBlur(): void;
    setClassMap(): void;
    constructor(_elementRef: ElementRef, _renderer: Renderer2, _radioGroup: RadioGroupComponent);
    ngOnInit(): void;
    updateValue(value: boolean): void;
    writeValue(value: boolean): void;
    registerOnChange(fn: (_: boolean) => {}): void;
    registerOnTouched(fn: () => {}): void;
}
