import { AfterViewInit, OnDestroy, ElementRef, NgZone } from '@angular/core';
import { TableComponent } from './table.component';
import { DomHandler } from '../dom/domhandler';
export declare class ResizableColumnDirective implements AfterViewInit, OnDestroy {
    dt: TableComponent;
    el: ElementRef;
    domHandler: DomHandler;
    zone: NgZone;
    grfResizableColumnDisabled: boolean;
    resizer: HTMLSpanElement;
    resizerMouseDownListener: any;
    documentMouseMoveListener: any;
    documentMouseUpListener: any;
    constructor(dt: TableComponent, el: ElementRef, domHandler: DomHandler, zone: NgZone);
    ngAfterViewInit(): void;
    bindDocumentEvents(): void;
    unbindDocumentEvents(): void;
    onMouseDown(event: Event): void;
    onDocumentMouseMove(event: Event): void;
    onDocumentMouseUp(event: Event): void;
    isEnabled(): boolean;
    ngOnDestroy(): void;
}
