import { DomHandler } from '../dom/domhandler';
import { OnInit, OnDestroy } from '@angular/core';
import { TableComponent } from './table.component';
import { Subscription } from 'rxjs/Subscription';
export declare class SortableColumnDirective implements OnInit, OnDestroy {
    dt: TableComponent;
    domHandler: DomHandler;
    _uiColumn: boolean;
    sorted: any;
    field: string;
    grfSortableColumnDisabled: boolean;
    subscription: Subscription;
    constructor(dt: TableComponent, domHandler: DomHandler);
    ngOnInit(): void;
    updateSortState(): void;
    onClick(event: MouseEvent): void;
    isEnabled(): boolean;
    ngOnDestroy(): void;
}
