import { SortMeta } from '../common/sortmeta';
import { Subject } from 'rxjs/Subject';
import { Observable } from 'rxjs/Observable';
export declare class TableService {
    sortSource: Subject<SortMeta | SortMeta[]>;
    selectionSource: Subject<{}>;
    contextMenuSource: Subject<any>;
    valueSource: Subject<any>;
    totalRecordsSource: Subject<any>;
    sortSource$: Observable<SortMeta | SortMeta[]>;
    selectionSource$: Observable<{}>;
    contextMenuSource$: Observable<any>;
    valueSource$: Observable<any>;
    totalRecordsSource$: Observable<any>;
    onSort(sortMeta: SortMeta | SortMeta[]): void;
    onSelectionChange(): void;
    onContextMenu(data: any): void;
    onValueChange(value: any): void;
    onTotalRecordsChange(value: Number): void;
}
