import { AfterViewInit, ViewContainerRef, ComponentFactoryResolver, ElementRef, Renderer2 } from '@angular/core';
import { TooltipComponent } from './tooltip.component';
export declare class TooltipDirective implements AfterViewInit {
    elementRef: ElementRef;
    private hostView;
    private resolver;
    private renderer;
    constructor(elementRef: ElementRef, hostView: ViewContainerRef, resolver: ComponentFactoryResolver, renderer: Renderer2, tooltip: TooltipComponent);
    isTooltipOpen: boolean;
    private tooltip;
    private isDynamicTooltip;
    ngAfterViewInit(): void;
    private show();
    private hide();
}
