import { OnInit } from '@angular/core';
import { TreeNode } from '../common/treenode';
import { TreeComponent } from './tree.component';
export declare class TreeNodeComponent implements OnInit {
    tree: TreeComponent;
    static ICON_CLASS: String;
    node: TreeNode;
    parentNode: TreeNode;
    root: boolean;
    index: number;
    firstChild: boolean;
    lastChild: boolean;
    constructor(tree: TreeComponent);
    draghoverPrev: boolean;
    draghoverNext: boolean;
    draghoverNode: boolean;
    checkBoxNode: Boolean;
    notAll: Boolean;
    ngOnInit(): void;
    getIcon(): string;
    isLeaf(): boolean;
    toggle(event: Event): void;
    onNodeClick(event: MouseEvent, node: TreeNode): void;
    onNodeTouchEnd(): void;
    onNodeRightClick(event: MouseEvent): void;
    isSelected(): boolean;
    onDropPoint(event: Event, position: number): void;
    onDropPointDragOver(event: any): void;
    onDropPointDragEnter(event: Event, position: number): void;
    onDropPointDragLeave(event: Event): void;
    onDragStart(event: any): void;
    onDragStop(event: any): void;
    onDropNodeDragOver(event: any): void;
    onDropNode(event: any): void;
    onDropNodeDragEnter(event: any): void;
    onDropNodeDragLeave(event: any): void;
}
