import { ElementRef, OnInit, EventEmitter } from '@angular/core';
import { MenuItem } from '../common/menuitem';
export declare class VerticalTabMenuComponent implements OnInit {
    _element: ElementRef;
    model: MenuItem[];
    activeItem: MenuItem;
    popup: boolean;
    style: any;
    styleClass: string;
    itemClickEvent: EventEmitter<any>;
    hoverItem: any;
    theme: String;
    constructor(_element: ElementRef);
    ngOnInit(): void;
    itemClick(event: Event, item: MenuItem): void;
    mouseHover(item: MenuItem): void;
    _getHostElement(): HTMLElement;
}
